> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wepayout.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Qualification Services

> Retrieve available data qualification services

The data qualification services determine the procedures that will be applied to qualify the bank account.

## Available Services

We have five data qualification services available:

* **1** - Automatic validation: validates the document and bank account digits.
* **2** - Automatic validation + micro deposit: After the data is validated a micro deposit is made to the account to assure that it's valid.
* **3** - Automatic validation + micro deposit + manual correction: Same as above plus manual check in case of failures.
* **4** - Automatic validation + deposit: Same as 2 but you provide the amount to be deposited.
* **5** - Automatic validation + deposit + manual correction: Same as 3 but you provide the amount to be deposited.

## Response

<ResponseField name="array" type="array">
  Array of data qualification services.

  <Expandable title="Service Object">
    <ResponseField name="id" type="integer">
      Service identifier.

      Example: `1`
    </ResponseField>

    <ResponseField name="name" type="string">
      Service name.

      Example: `Data qualification manually`
    </ResponseField>
  </Expandable>
</ResponseField>

## Request Example

<CodeGroup>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/services' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer {token}'
  ```

  ```javascript JavaScript theme={null}
  async function getDataQualificationServices() {
    const response = await fetch(
      'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/services',
      {
        method: 'GET',
        headers: {
          'Accept': 'application/json',
          'Authorization': 'Bearer {token}'
        }
      }
    );
    
    if (!response.ok) {
      throw new Error(`Failed to fetch services: ${response.statusText}`);
    }
    
    return await response.json();
  }

  const services = await getDataQualificationServices();
  console.log('Available services:', services);
  ```

  ```python Python theme={null}
  import requests

  def get_data_qualification_services():
      url = 'https://api.sandbox.wepayout.com.br/v1/payout/data-qualification/services'
      headers = {
          'Accept': 'application/json',
          'Authorization': 'Bearer {token}'
      }
      
      response = requests.get(url, headers=headers)
      response.raise_for_status()
      
      return response.json()

  services = get_data_qualification_services()
  print('Available services:', services)
  ```
</CodeGroup>

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "id": 1,
      "name": "Data qualification manually"
    },
    {
      "id": 2,
      "name": "Automatic validation + micro deposit"
    },
    {
      "id": 3,
      "name": "Automatic validation + micro deposit + manual correction"
    },
    {
      "id": 4,
      "name": "Automatic validation + deposit"
    },
    {
      "id": 5,
      "name": "Automatic validation + deposit + manual correction"
    }
  ]
  ```
</ResponseExample>
